# Class ArrowLinesLayer

java.lang.Object
com.codename1.maps.layers.AbstractLayer
com.codename1.maps.layers.LinesLayer
com.codename1.maps.layers.ArrowLinesLayer

All Implemented Interfaces:
  `Layer`

public class ArrowLinesLayer extends LinesLayer
This class is responsible for painting arrows that indicates direction of walk on map.

- ## Field Summary

  ### Fields inherited from class LinesLayer

  `_lineColor`

  ### Fields inherited from class AbstractLayer

  `name, projection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrowLinesLayer()`
  Constructor with default projection Mercator.
  `ArrowLinesLayer(Projection p, String name)`
  Constructor with custom projection and layer name.
  `ArrowLinesLayer(String name)`
  Constructor with default projection Mercator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getArrowHeight()`
  Returns the arrow height in pixels
  `int`
  `getArrowSegmentLength()`
  Gets the arrow segment length
  `int`
  `getArrowWidth()`
  Gets the arrow width in pixels
  `protected void`
  `paintSegment(Graphics g, Coord[] segment, Tile tile)`
  Paints arrows on each segment.
  `void`
  `setArrowHeight(int arrowHeight)`
  Sets the arrow height
  `void`
  `setArrowSegmentLength(int arrowSegmentLength)`
  Sets the arrow segment length
  `void`
  `setArrowWidth(int arrowWidth)`
  Sets the arrow width

  ### Methods inherited from class LinesLayer

  `addLineSegment, boundingBox, lineColor, paint`

  ### Methods inherited from class AbstractLayer

  `getName, getProjection`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArrowLinesLayer

    public ArrowLinesLayer()
    Constructor with default projection Mercator.

  - ### ArrowLinesLayer

    public ArrowLinesLayer(String name)
    Constructor with default projection Mercator.

  - ### ArrowLinesLayer

    public ArrowLinesLayer(Projection p, String name)
    Constructor with custom projection and layer name.

- ## Method Details

  - ### paintSegment

    protected void paintSegment(Graphics g, Coord[] segment, Tile tile)

    Paints arrows on each segment. arrowSegmentLength decides how many arrows will be on each segment.

    ###### Parameters

    - `g`

    - `segment`

    - `tile`

    Overrides:
      `paintSegment` in class `LinesLayer`

  - ### getArrowHeight

    public int getArrowHeight()

    Returns the arrow height in pixels

    ###### Returns

    the arrow height

  - ### setArrowHeight

    public void setArrowHeight(int arrowHeight)

    Sets the arrow height

    ###### Parameters

    - `arrowHeight`

  - ### getArrowSegmentLength

    public int getArrowSegmentLength()

    Gets the arrow segment length

    ###### Returns

    segment length

  - ### setArrowSegmentLength

    public void setArrowSegmentLength(int arrowSegmentLength)

    Sets the arrow segment length

    ###### Parameters

    - `arrowSegmentLength`: to set

  - ### getArrowWidth

    public int getArrowWidth()

    Gets the arrow width in pixels

    ###### Returns

    the arrow width

  - ### setArrowWidth

    public void setArrowWidth(int arrowWidth)

    Sets the arrow width

    ###### Parameters

    - `arrowWidth`: to set